Bug 51152 - memory alloc (1768337276 bytes) returned NULL
Summary: memory alloc (1768337276 bytes) returned NULL
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-07 22:10 UTC by Juan Carlos Orrego
Modified: 2007-03-27 03:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 22:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Juan Carlos Orrego 2001-08-07 22:10:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.5 i686; Nav)

Description of problem:
i ve been receiving  memory allocation problems performing some rpm
operations. example: rpm -qa, kpackage, etc..

How reproducible:
Always

Steps to Reproduce:
1. rpm -qa
2.
3.
	

Actual Results:  memory alloc (1768337276 bytes) returned NULL

Expected Results:  list of packages

Additional info:

here is my rpm database tar ball:
http://208.221.140.114/rpmdb.tar.gz

PC Specs:
AMD Athlon 1Ghz
256 RAM
20 GB DIsk
Redhat 7.1

Comment 1 Jeff Johnson 2001-08-08 00:07:17 UTC
Header instance #1204 is damaged.

Install rpm-4.0.3-0.57 from ftp://ftp.rpm.org/pub/rpm/test-4.0.3
and do a "rpm --rebuilddb -vv" to fix. You should see
something like

D:   +++        101 xosview-1.7.3-4
D: adding "xosview" to Name index.
D: adding 4 entries to Basenames index.
D: adding "Applications/System" to Group index.
D: adding 10 entries to Requirename index.
D: adding 1 entries to Providename index.
D: adding 4 entries to Dirnames index.
D: adding 10 entries to Requireversion index.
D: adding 1 entries to Provideversion index.
D: adding 1 entries to Installtid index.
error: rpmdb: damaged header instance #1204 retrieved, skipping.
D:   +++        102 dosemu-0.99.13-1
D: adding "dosemu" to Name index.
D: adding 39 entries to Basenames index.
D: adding "Applications/Emulators" to Group index.
D: adding 10 entries to Requirename index.
D: adding 1 entries to Providename index.
D: adding 8 entries to Dirnames index.
D: adding 10 entries to Requireversion index.
D: adding 1 entries to Provideversion index.


Comment 2 Juan Carlos Orrego 2001-08-08 00:16:19 UTC
I allready tried that. but i just simply cant get rpm installed.

Comment 3 Jeff Johnson 2001-08-08 12:14:55 UTC
You can always install rpm by doing (assuming all 5 rpm packages in /var/tmp)
	cd /var/tmp
	mkdir xxx
	cd xxx
	for i in ../{rpm,popt}-*.rpm ; do
	    rpm2cpio $i | cpio -dim
	done
	find . -type d -exec chmod 755 {} \;
	tar cf - . | (cd /; tar xvf -)
Yes, you need to be root. And, after doing the --rebuilddb,
you chould do
	cd /var/tmp
	rpm -Uvh {rpm,popt}-*


Note You need to log in before you can comment on or make changes to this bug.